@import "../../colors.scss";

.inputWrapper {
  display: grid;
  grid-template-columns: 120px 400px;
  column-gap: 0.5rem;
  align-items: center;

  label {
    font-size: 1rem;
    transition: 0.3s;
    flex-shrink: 0;
    flex-basis: 80px;
  }

  input {
    flex-grow: 1;
    padding: 5px 10px;
    font-size: 1rem;
    background-color: $accent;
    border: none;
    border: 1px solid $primary;
    height: 25px;
    color: $white;

    &:focus {
      outline: 1px solid $time;
    }
  }

  .inputInvalid {
    border: 1px solid $red;
  }

  .error {
    grid-column: 2/3;
    grid-row: 2/3;
    color: $red;
    font-size: 0.8rem;
    margin-top: 5px;
  }
}
